Bug 564544

Summary: Most of laptop function keys aren't working
Product: [Fedora] Fedora Reporter: Usama Akkad <uahello>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 16CC: alexjnewt, anton, dougsland, gansalmon, itamar, jonathan, kernel-maint, pahan, paulo.albuquerque
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:56:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Usama Akkad 2010-02-13 00:50:52 EST
Description of problem:
Many function keys aren't working on Asus Eee 1005HA laptop
F1 sleep Yes
F2 Wifi No
F3 disables touch-pad No
F4 control Screen No
F5 decrease screen brightness Yes
F6 increase screen brightness Yes
F7 turn off screen Yes
F8 switches display No
F9 shows Task Managers No
F10 mutes sound No
F11 decreases sound No
F12 increases sound No
Space switch Hybird Engine modes No
Insert Works as NumLk Yes
Delete Works as ScrLK Unknown
Arrows Works as Home\End\Page(up,Down) Yes

Most of those keys are working with Karmic 9.10

Version-Release number of selected component (if applicable):
2.6.32

How reproducible:
press the Fn button with F1 to F12 the only working function is F1,F5,F6 and F7

  
Actual results:
nothing happens

Expected results:
function keys should work

Additional info:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/518007

Most of those keys are working with Ubuntu Karmic 9.10 but not with 10.04 which has the same kernel of rawhide kernel.

couldn't know if the function keys are working on F12
Comment 2 Bug Zapper 2010-03-15 10:33:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Usama Akkad 2010-04-04 22:19:35 EDT
please look here,
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/505452/comments/28

adding "acpi_osi=Linux" fixed many keys but broke others that was working before the change.

F7 turn off screen
brightness key no longer show pop-up but works
Comment 4 Pavel Alexeev 2010-04-09 14:25:24 EDT
acpi_osi=Linux does noot help me :(
Brightness indication still work, but real brightness not changed.
Comment 5 Paulo Albuquerque 2010-04-12 04:14:45 EDT
There is a new driver for WMI based hotkeys on Eee PC laptops, see https://patchwork.kernel.org/patch/87210/.
Comment 6 Bug Zapper 2011-06-02 12:35:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:56:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Jeremy Newton 2012-12-10 14:55:42 EST
I can confirm this as a problem with Fedora 16 on the Asus EeePC 1015PX. When F18 is released, I will also test it again on this computer, as I have no interest in re-installing Fedora on my laptop until it hits EOL.
Comment 9 Jeremy Newton 2012-12-10 14:57:09 EST
Please Reopen